var APIBase = require("../../api.base");
var system = require("../../../system");
class PlatformuserAPI extends APIBase {
    constructor() {
        super();
        this.userSve = system.getObject("service.uc.userSve");
    }
    async registerInner(pobj, query, req) {
        var result = await this.userSve.registerInner(pobj);
        return result;
    }
    async resetPasswordInner(pobj, query, req) {
        var result = await this.userSve.resetPasswordInner(pobj);
        return result;
    }
    exam() {
        return "";
    }
    classDesc() {
        return {
            groupName: "",
            groupDesc: "",
            name: "",
            desc: "",
            exam: "",
        };
    }
    methodDescs() {
        return [
            {
                methodDesc: "",
                methodName: "",
                paramdescs: [
                    {
                        paramDesc: "",
                        paramName: "",
                        paramType: "",
                        defaultValue: "",
                    }
                ],
                rtnTypeDesc: "",
                rtnType: ""
            }
        ];
    }
}
module.exports = PlatformuserAPI;